skb_postpull_rcsum
Prev | Socket Buffer Functions | Next

## Name

skb_postpull_rcsum — update checksum for received skb after pull

## Synopsis

`void skb_postpull_rcsum (` | struct sk_buff * | skb,
| const void * | start,
| unsigned int | len`)`;

## Arguments

`skb`

  buffer to update

`start`

  start of data before pull

`len`

  length of data pulled

## Description

After doing a pull on a received packet, you need to call this to update the CHECKSUM_COMPLETE checksum, or set ip_summed to CHECKSUM_NONE so that it can be recomputed from scratch.

Prev | Up | Next
skb_linearize_cow | Home | pskb_trim_rcsum